package com.hzya.frame.u9c.allot.items.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.u9c.allot.items.entity.VU9cAllotOrderItemsEntity;
import com.hzya.frame.u9c.allot.items.dao.IVU9cAllotOrderItemsDao;
import com.hzya.frame.u9c.allot.items.service.IVU9cAllotOrderItemsService;
import com.hzya.frame.u9c.constant.U9Constant;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import com.hzya.frame.basedao.service.impl.BaseService;

import java.util.List;

/**
 * (VU9cAllotOrderItems)表服务实现类
 *
 * @author xiang2lin
 * @since 2023-11-02 10:53:01
 */
@Service("vU9cAllotOrderItemsService")
public class VU9cAllotOrderItemsServiceImpl extends BaseService<VU9cAllotOrderItemsEntity, String> implements IVU9cAllotOrderItemsService {
     
    private IVU9cAllotOrderItemsDao vU9cAllotOrderItemsDao;
    
    @Autowired
	public void setVU9cAllotOrderItemsDao(IVU9cAllotOrderItemsDao dao) {
		this.vU9cAllotOrderItemsDao = dao;
		this.dao = dao;
	}

	/**
	 * 查询U9C 收货单， 传递睿本云专用
	 *
	 * @param entity
	 * @return
	 */
	@DS(U9Constant.DATA_SOURCE_CODE)
	@Override
	public List<VU9cAllotOrderItemsEntity> query2Reabam(VU9cAllotOrderItemsEntity entity) {
		List<VU9cAllotOrderItemsEntity> list = vU9cAllotOrderItemsDao.queryList(entity, "VU9cAllotOrderItemsEntity_list_base_reabam");
		return list;
	}
}
